# Interface RcsbFvContextManagerInterface<T, R, S, U>

Main Event Data Object Interface

#### Type Parameters

- #### T

- #### R

- #### S

- #### U

#### Hierarchy

- RcsbFvContextManagerInterface

- Defined in RcsbFvContextManager/RcsbFvContextManager.ts:7

#####
Index

### Properties

eventData
eventType

## Properties

### eventData

eventData: string | UpdateConfigInterface<T, R, S, U> | ((plugin: PluginContext) => void)

- Defined in RcsbFvContextManager/RcsbFvContextManager.ts:9

### eventType

eventType: EventType

- Defined in RcsbFvContextManager/RcsbFvContextManager.ts:8

Generated using TypeDoc